## com.thingmagic
Class Gen2.IDS.SL900A.ShelfLifeBlock1

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.ShelfLifeBlock1

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.ShelfLifeBlock1

extends java.lang.Object

Field Summary
`int` `raw`

Constructor Summary
`Gen2.IDS.SL900A.ShelfLifeBlock1()`
`Gen2.IDS.SL900A.ShelfLifeBlock1(byte[] value, int offset)`

Method Summary
`void` `setAlgorithmEnable(boolean value)`
`void` `setEnableNegative(boolean value)`
`void` `setSensor(byte value)`
`void` `setSLinit(byte value)`
`void` `setTint(byte value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### raw

    public int raw

Constructor Detail

### Gen2.IDS.SL900A.ShelfLifeBlock1

    public Gen2.IDS.SL900A.ShelfLifeBlock1()

### Gen2.IDS.SL900A.ShelfLifeBlock1

    public Gen2.IDS.SL900A.ShelfLifeBlock1(byte[] value,
                                           int offset)

Method Detail

### setSLinit

    public void setSLinit(byte value)

### setTint

    public void setTint(byte value)

### setSensor

    public void setSensor(byte value)

### setEnableNegative

    public void setEnableNegative(boolean value)

### setAlgorithmEnable

    public void setAlgorithmEnable(boolean value)